AccountControllerUpdateCustomAttributesForAccount Method |
POST /Account/UpdateCustomAttributesForAccount/{id}
Updates the custom attributes for the specified account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("UpdateCustomAttributesForAccount")]
public IActionResult UpdateCustomAttributesForAccount(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData> customAttributes,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("UpdateCustomAttributesForAccount")>
Public Function UpdateCustomAttributesForAccount (
id As Guid,
<FromBodyAttribute> customAttributes As IList(Of CustomAttributeData),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"UpdateCustomAttributesForAccount")]
IActionResult^ UpdateCustomAttributesForAccount(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData^>^ customAttributes,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("UpdateCustomAttributesForAccount")>]
member UpdateCustomAttributesForAccount :
id : Guid *
[<FromBodyAttribute>] customAttributes : IList<CustomAttributeData> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The account ID to be updated. - customAttributes
- Type: System.Collections.GenericIListCustomAttributeData
The list of CustomAttributeData objects to be updated. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA
AccountData object containing the account data, or a status code indicating the problem.
See Also